Skip to main content
GET
/
v1
/
google
/
hotels
/
details
Hotel details
curl --request GET \
  --url https://scrapebadger.com/v1/google/hotels/details \
  --header 'x-api-key: <api-key>'
import requests

url = "https://scrapebadger.com/v1/google/hotels/details"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://scrapebadger.com/v1/google/hotels/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "property": {
    "name": "<string>",
    "description": "<string>",
    "address": "<string>",
    "gps_coordinates": {
      "lat": 123,
      "lng": 123
    },
    "hotel_class": 123,
    "eco_certified": false,
    "check_in_time": "<string>",
    "check_out_time": "<string>",
    "overall_rating": 123,
    "reviews_count": 123,
    "rate_per_night": {
      "lowest": 123,
      "extracted": 123,
      "currency": "<string>"
    },
    "total_rate": {
      "lowest": 123,
      "extracted": 123,
      "currency": "<string>"
    },
    "prices": [
      {
        "source": "<string>",
        "price": 123,
        "currency": "<string>",
        "link": "<string>",
        "cancellation_policy": "<string>"
      }
    ],
    "nearby_places": [
      {
        "name": "<string>",
        "transport": "<string>",
        "duration": "<string>"
      }
    ],
    "amenities": [
      "<string>"
    ],
    "images": [
      "<string>"
    ],
    "property_token": "<string>",
    "thumbnail": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Query Parameters

property_token
string
required

Property token from search results

check_in
string
required

Check-in date (YYYY-MM-DD)

check_out
string
required

Check-out date (YYYY-MM-DD)

adults
integer
default:2
currency
string
default:USD
gl
string
default:us
hl
string
default:en

Response

Successful Response

Response for GET /api/v1/hotels/details.

property
HotelProperty · object
required

A hotel search result.